Bug 1464994 - Setting static ipv6 address clears ipv4 address in appliance console.
Setting static ipv6 address clears ipv4 address in appliance console.
Status: POST
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Appliance (Show other bugs)
5.8.0
Unspecified Unspecified
high Severity medium
: GA
: 5.9.0
Assigned To: Nick Carboni
luke couzens
black:ipv6
: TestOnly, ZStream
Depends On:
Blocks: 1472841
  Show dependency treegraph
 
Reported: 2017-06-26 07:35 EDT by luke couzens
Modified: 2017-07-19 09:59 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
: 1472841 (view as bug list)
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: CFME Core


Attachments (Terms of Use)

  None (edit)
Description luke couzens 2017-06-26 07:35:32 EDT
Description of problem:Setting static ipv6 address clears ipv4 address in appliance console.


Version-Release number of selected component (if applicable):5.8.1.0


How reproducible:100


Steps to Reproduce:
1.Provision appliance
2.ssh to appliance
3.Launch appliance_console
4.configure static ipv6

Actual results:ipv6 is set but ipv4 is cleared


Expected results:ipv6 address is configured while ipv4 address remains


Additional info:
appliance console summary info screen shows hostname and ipv6 address fields filled out but ipv4 only shows '/'
Comment 2 Nick Carboni 2017-07-17 15:58:17 EDT
https://github.com/ManageIQ/linux_admin/pull/189
Comment 3 CFME Bot 2017-07-17 16:15:29 EDT
New commit detected on ManageIQ/linux_admin/master:
https://github.com/ManageIQ/linux_admin/commit/4e10ed3ce272acf19e93e16fbfa1627788b96350

commit 4e10ed3ce272acf19e93e16fbfa1627788b96350
Author:     Nick Carboni <ncarboni@redhat.com>
AuthorDate: Mon Jul 17 15:48:48 2017 -0400
Commit:     Nick Carboni <ncarboni@redhat.com>
CommitDate: Mon Jul 17 15:55:52 2017 -0400

    Don't change BOOTPROTO to static when setting a static IPv6 address
    
    This tells the network service to not start dhclient at all which will
    result in us not getting a v4 address if we were previously relying on
    dhcp for that.
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1464994

 lib/linux_admin/network_interface/network_interface_rh.rb | 1 -
 spec/network_interface/network_interface_rh_spec.rb       | 4 +---
 2 files changed, 1 insertion(+), 4 deletions(-)
Comment 4 Nick Carboni 2017-07-18 08:54:36 EDT
Sorry, Gregg. I meant to leave this ONDEV.
We need to bump the linux_admin gem version and open another PR to manageiq-gems-pending to pull in the changes I made.

I will change this when it is ready for testing.
Comment 6 Satoe Imaishi 2017-07-19 09:54:59 EDT
PR to bump linux_admin version: https://github.com/ManageIQ/manageiq-gems-pending/pull/243

Note You need to log in before you can comment on or make changes to this bug.